Index: trunk/kernel/mm/vmm.h
===================================================================
--- trunk/kernel/mm/vmm.h	(revision 595)
+++ trunk/kernel/mm/vmm.h	(revision 610)
@@ -158,23 +158,23 @@
                   bool_t             mapping );
 
-/*******************************************************************************************
+/*********************************************************************************************
  * This function adds a vseg descriptor in the VSL of a given VMM,
  * and updates the vmm field in the vseg descriptor.
  * It takes the lock protecting VSL.
- *******************************************************************************************
+ *********************************************************************************************
  * @ vmm       : pointer on the VMM
  * @ vseg      : pointer on the vseg descriptor
- ******************************************************************************************/
+ ********************************************************************************************/
 void vmm_vseg_attach( struct vmm_s  * vmm,
                       vseg_t        * vseg );
 
-/*******************************************************************************************
+/*********************************************************************************************
  * This function removes a vseg descriptor from the set of vsegs controlled by a given VMM,
  * and updates the vmm field in the vseg descriptor. No memory is released.
  * It takes the lock protecting VSL.
- *******************************************************************************************
+ *********************************************************************************************
  * @ vmm       : pointer on the VMM
  * @ vseg      : pointer on the vseg descriptor
- ******************************************************************************************/
+ ********************************************************************************************/
 void vmm_vseg_detach( struct vmm_s  * vmm,
                       vseg_t        * vseg );
@@ -326,6 +326,6 @@
  * (d) if the removed region cut the vseg in three parts, it is modified, and a new
  *     vseg is created with same type.
- * FIXME [AG] this function must be called by a thread running in the reference cluster,
- * and the VMM must be updated in all process descriptors copies. 
+ * FIXME [AG] this function should be called by a thread running in the reference cluster,
+ *       and the VMM should be updated in all process descriptors copies. 
  *********************************************************************************************
  * @ process   : pointer on process descriptor
@@ -357,5 +357,5 @@
 /*********************************************************************************************
  * This function is called by the generic exception handler in case of page-fault event,
- * detected for a given <vpn> in a given <process> in any cluster. 
+ * detected for a given <vpn>. The <process> argument is used to access the relevant VMM.
  * It checks the missing VPN and returns an user error if it is not in a registered vseg.
  * For a legal VPN, there is actually 3 cases:
@@ -370,9 +370,9 @@
  *    on vseg type, and updates directly (without RPC) the local GPT and the reference GPT.
  *    Other GPT copies  will updated on demand.
- * In the three cases, concurrent accesses to the GPT are handled, thanks to the 
+ * Concurrent accesses to the GPT are handled, thanks to the 
  * remote_rwlock protecting each GPT copy.
  *********************************************************************************************
- * @ process   : pointer on local process descriptor copy.
- * @ vpn       : VPN of the missing PTE.
+ * @ process  : local pointer on local process.
+ * @ vpn      : VPN of the missing PTE.
  * @ returns EXCP_NON_FATAL / EXCP_USER_ERROR / EXCP_KERNEL_PANIC after analysis
  ********************************************************************************************/
@@ -381,6 +381,6 @@
 
 /*********************************************************************************************
- * This function is called by the generic exception handler in case of copy-on-write event, 
- * detected for a given <vpn> in a given <process> in any cluster.
+ * This function is called by the generic exception handler in case of WRITE violation event, 
+ * detected for a given <vpn>. The <process> argument is used to access the relevant VMM.
  * It returns a kernel panic if VPN is not in a registered vseg or is not mapped.
  * For a legal mapped vseg there is two cases:
@@ -399,6 +399,6 @@
  *    Finally it calls the vmm_global_update_pte() function to reset the COW flag and set
  *    the WRITE flag in all the GPT copies, using a RPC if the reference cluster is remote.
- * In both cases, concurrent accesses to the GPT are handled, thanks to the 
- * remote_rwlock protecting each GPT copy.
+ * In both cases, concurrent accesses to the GPT are protected by the remote_rwlock 
+ * atached to the GPT copy in VMM.
  *********************************************************************************************
  * @ process   : pointer on local process descriptor copy.
